 datablock PlayerData(Aipolice : PlayerStandardArmor)
{
	//category = "Vehicles";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 0;
	runforce = 100 * 90;
	maxForwardSpeed = 8;
	maxBackwardSpeed = 8;
	maxSideSpeed = 8;
	maxDamage = 240;
	attackpower = 12;
	//jumpsound = "ZombieJumpSound";
	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.5708;
	maxlookangle = 1.5708;
	BrickMaxJumpHeight = 20;
	uiName = "Ai Police";
	rideable = true;
	canRide = true;
	BrickKillRadius = 2;
	skinColor = "1 0.79 0.57 1";
	FollowAnim = "ArmReadyright";
	randomwalk = 1;
	aimatplayer = 1;
	SpecialAttack = 1;
	NoBloodyHands = 1;
	DoNotZombify = 1;
	isGoodGuy = 1;
	chance = 90;
	ZombieTeam = "Survivor";
};
function AiPolice::SpecialAttack(%this,%onshot)
{
	if(getsimtime() >= %this.lastspecial+3000 && %this.getstate() !$= "Dead")
	{
		%ran = getrandom(-1,1);
		%ran2 = getrandom(-1,1);
		%this.setmovex(%ran);
		%this.setmovey(%ran2);
		schedule(0,0,BotShootMode,%this);
		schedule(500,0,BotShootMode,%this);
		schedule(1000,0,BotShootMode,%this);
		schedule(1500,0,BotShootMode,%this);
		%this.schedule(2800,clearmovex);
		%this.schedule(2800,clearmovey);
		%this.lastspecial = getsimtime();
	}
}
function AiPolice::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function AiPolice::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}
function AiPolice::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function AiPolice::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function AiPolice::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	//schedule(10,0,nazify,%obj);
	schedule(15,0,Policify,%obj);
	//schedule(20,0,ghostifybot,%obj);
	//%obj.playthread(2,armreadyright);
	//%obj.setarmthread(crouch);
	//%obj.mountimage(gunimage,0);
              %obj.mountimage(gunimage,0);
}

function Policify(%obj)
{
	%obj.name = "AI Police";
	%obj.chestcolor = "0 0 128 1";
	%obj.hatcolor = "0 0 128 1";
	%obj.rarmcolor = "0 0 128 1";
	%obj.larmcolor = "0 0 128 1";
	%obj.hipcolor = "0 0 0 1";
	%obj.llegcolor = "0 0 0 1";
	%obj.rlegcolor = "0 0 0 1";

		%ran = getrandom(0,3);
	%obj.chest = "0";
	%obj.lhand = "0";
	%obj.rhand = "0";
	%obj.larm = "0";
	%obj.rarm = "0";
	%obj.hat = "6";
	%obj.accent = "0";
	%obj.pack = "0";
	%obj.secondpack = "0";
	%obj.lleg = "0";
	%obj.rleg = "0";
	%obj.hip = "0";


	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
	%obj.setfacename("Smiley");
	%obj.setdecalname("mod-police");
	%color = %obj.getdatablock().skincolor;
	%obj.setNodecolor($rhand[0], %color);
	%obj.setNodecolor($lhand[0], %color);
	%obj.setNodecolor("headskin", %color);
	//servercmdupdatebodyparts(%obj,6);
}
function servercmdsigheil(%client)
{
	%client.player.playthread(1,armreadyright);
	%client.player.setarmthread(armattack);
}
function servercmdunsigheil(%client)
{
	%client.player.setarmthread(look);
}